"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;
var _styles = require("./styles");
var _Shimmer = require("../Shimmer/Shimmer");
var _Loader = require("../Loader/Loader");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _excluded = ["children", "disabled", "loading", "fullWidth", "block", "compact", "dashed", "inverse", "grouped", "groupedFirst", "groupedLast", "large", "mono", "noSpacing", "onClick", "shade", "simple", "soft", "chip", "primary", "rectangular", "removeSideSpacing", "secondary", "shimmer", "short", "small", "transparent", "underlined", "noBorder", "tall", "icon", "ref", "wide"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var Button = function Button(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    loading = _ref.loading,
    fullWidth = _ref.fullWidth,
    block = _ref.block,
    compact = _ref.compact,
    dashed = _ref.dashed,
    inverse = _ref.inverse,
    grouped = _ref.grouped,
    groupedFirst = _ref.groupedFirst,
    groupedLast = _ref.groupedLast,
    large = _ref.large,
    mono = _ref.mono,
    noSpacing = _ref.noSpacing,
    onClick = _ref.onClick,
    shade = _ref.shade,
    simple = _ref.simple,
    soft = _ref.soft,
    chip = _ref.chip,
    primary = _ref.primary,
    rectangular = _ref.rectangular,
    removeSideSpacing = _ref.removeSideSpacing,
    secondary = _ref.secondary,
    shimmer = _ref.shimmer,
    _short = _ref["short"],
    small = _ref.small,
    transparent = _ref.transparent,
    underlined = _ref.underlined,
    noBorder = _ref.noBorder,
    tall = _ref.tall,
    icon = _ref.icon,
    ref = _ref.ref,
    wide = _ref.wide,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(React.Fragment, null, icon ? /*#__PURE__*/React.createElement(_styles.ButtonContainer, _extends({
    btnIcon: true,
    chip: chip,
    ref: ref,
    medium: !small && !large,
    fullWidth: fullWidth,
    block: block,
    compact: compact,
    dashed: dashed,
    disabled: disabled,
    inverse: inverse,
    grouped: grouped,
    groupedFirst: groupedFirst,
    groupedLast: groupedLast,
    large: large,
    mono: mono,
    noSpacing: noSpacing,
    soft: soft,
    primary: primary,
    rectangular: rectangular,
    removeSideSpacing: removeSideSpacing,
    secondary: secondary,
    shade: shade,
    "short": _short,
    simple: simple,
    small: small,
    tall: tall,
    onClick: onClick,
    transparent: transparent,
    underlined: underlined,
    noBorder: noBorder,
    wide: wide
  }, props), children, icon) : /*#__PURE__*/React.createElement(_styles.ButtonContainer, _extends({}, props, {
    chip: chip,
    ref: ref,
    medium: !small && !large,
    fullWidth: fullWidth,
    block: block,
    compact: compact,
    dashed: dashed,
    disabled: disabled,
    inverse: inverse,
    grouped: grouped,
    groupedFirst: groupedFirst,
    groupedLast: groupedLast,
    large: large,
    mono: mono,
    noSpacing: noSpacing,
    soft: soft,
    primary: primary,
    rectangular: rectangular,
    removeSideSpacing: removeSideSpacing,
    secondary: secondary,
    shade: shade,
    "short": _short,
    simple: simple,
    small: small,
    tall: tall,
    onClick: onClick,
    transparent: transparent,
    underlined: underlined,
    noBorder: noBorder,
    wide: wide
  }), loading && shimmer && /*#__PURE__*/React.createElement(_styles.WrapperShimmer, null, /*#__PURE__*/React.createElement(_Shimmer.Shimmer, {
    height: "100%",
    width: "100%"
  })), /*#__PURE__*/React.createElement(_styles.Content, {
    contentLoading: loading,
    contentFullWidth: fullWidth
  }, children), loading && /*#__PURE__*/React.createElement(_styles.ButtonLoader, null, !shimmer && /*#__PURE__*/React.createElement(_Loader.Loader, {
    small: true,
    mono: mono,
    secondary: secondary,
    primary: inverse && soft
  }))));
};
exports.Button = Button;
Button.propTypes = {
  /**
   * Indica se o botão está desabilitado.
   */
  disabled: _propTypes["default"].bool,
  /**
   * Indica se o botão está em um estado de carregamento.
   */
  loading: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ocupar todo o espaço disponível na largura.
   */
  fullWidth: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ser exibido como um bloco de largura total.
   */
  block: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ser exibido em um tamanho compacto.
   */
  compact: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter uma borda tracejada.
   */
  dashed: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter um estilo invertido.
   */
  inverse: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ser exibido em um tamanho grande.
   */
  large: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter uma fonte monoespaçada.
   */
  mono: _propTypes["default"].bool,
  /**
   * Indica se o botão não deve ter espaçamento interno.
   */
  noSpacing: _propTypes["default"].bool,
  /**
   * Função de callback a ser chamada quando o botão for clicado.
   */
  onClick: _propTypes["default"].func,
  /**
   * Função de callback a ser chamada quando o mouse estiver sobre o botão.
   */
  onMouseOver: _propTypes["default"].func,
  /**
   * Função de callback a ser chamada quando o mouse sair do botão.
   */
  onMouseOut: _propTypes["default"].func,
  /**
   * Função de callback a ser chamada quando o mouse entrar no botão.
   */
  onMouseEnter: _propTypes["default"].func,
  /**
   * Função de callback a ser chamada quando o mouse sair do botão.
   */
  onMouseLeave: _propTypes["default"].func,
  /**
   * Função de callback a ser chamada quando o botão for pressionado com o mouse.
   */
  onMouseDown: _propTypes["default"].func,
  /**
   * Função de callback a ser chamada quando o botão for solto após ser pressionado.
   */
  onMouseUp: _propTypes["default"].func,
  /**
   * Indica se o botão deve ter um estilo simples.
   */
  simple: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter um estilo suave.
   */
  soft: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter um estilo primário.
   */
  primary: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter uma forma retangular.
   */
  rectangular: _propTypes["default"].bool,
  /**
   * Indica se o espaçamento lateral do botão deve ser removido.
   */
  removeSideSpacing: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter um estilo secundário.
   */
  secondary: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter uma sombra.
   */
  shade: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter um efeito de brilho.
   */
  shimmer: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ser exibido em um tamanho pequeno.
   */
  small: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter uma largura curta.
   */
  "short": _propTypes["default"].bool,
  /**
   * Indica se o botão deve ser transparente.
   */
  transparent: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter uma altura alta.
   */
  tall: _propTypes["default"].bool,
  /**
   * Tipo do botão, como "button" ou "submit".
   */
  type: _propTypes["default"].string,
  /**
   * Indica se o botão deve ter um estilo com sublinhado.
   */
  underlined: _propTypes["default"].bool,
  /**
   * Indica se o botão não deve ter borda.
   */
  noBorder: _propTypes["default"].bool,
  /**
   * Os elementos filho do botão.
   */
  children: _propTypes["default"].node,
  /**
   * Indica se o botão deve ter uma largura ampliada.
   */
  wide: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ser agrupado com outros botões.
   */
  grouped: _propTypes["default"].bool,
  /**
   * Indica se o botão é o primeiro de um grupo de botões.
   */
  groupedFirst: _propTypes["default"].bool,
  /**
   * Indica se o botão é o último de um grupo de botões.
   */
  groupedLast: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter o estilo de um chip.
   */
  chip: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ser exibido como um ícone.
   */
  icon: _propTypes["default"].bool,
  /**
   * Indica se o botão deve ter uma referência.
   */
  ref: _propTypes["default"].bool
};
Button.defaultProps = {
  primary: false
};