"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Cell = void 0;
var _styles = require("./styles");
var _propTypes = _interopRequireDefault(require("prop-types"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
/**
 * Componente Cell para definir um elemento de layout em uma grade.
 */
var Cell = function Cell(_ref) {
  var children = _ref.children,
    size = _ref.size,
    mediumSize = _ref.mediumSize,
    largeSize = _ref.largeSize,
    xlargeSize = _ref.xlargeSize,
    columns = _ref.columns,
    columnsOnMedium = _ref.columnsOnMedium,
    columnsOnLarge = _ref.columnsOnLarge,
    columnsOnXlarge = _ref.columnsOnXlarge,
    fit = _ref.fit,
    fitOnMedium = _ref.fitOnMedium,
    fitOnLarge = _ref.fitOnLarge,
    fitOnXlarge = _ref.fitOnXlarge,
    fullHeight = _ref.fullHeight,
    fullHeightOnMedium = _ref.fullHeightOnMedium,
    fullHeightOnLarge = _ref.fullHeightOnLarge,
    fullHeightOnXlarge = _ref.fullHeightOnXlarge,
    microSpacing = _ref.microSpacing,
    smallSpacing = _ref.smallSpacing,
    largeSpacing = _ref.largeSpacing,
    noSpacing = _ref.noSpacing,
    verticalSpacing = _ref.verticalSpacing,
    microVerticalSpacing = _ref.microVerticalSpacing,
    smallVerticalSpacing = _ref.smallVerticalSpacing,
    largeVerticalSpacing = _ref.largeVerticalSpacing,
    auto = _ref.auto,
    autoOnMedium = _ref.autoOnMedium,
    autoOnLarge = _ref.autoOnLarge,
    autoOnXlarge = _ref.autoOnXlarge,
    relative = _ref.relative,
    shrink = _ref.shrink,
    shrinkOnMedium = _ref.shrinkOnMedium,
    shrinkOnLarge = _ref.shrinkOnLarge,
    shrinkOnXlarge = _ref.shrinkOnXlarge,
    grow = _ref.grow,
    growOnMedium = _ref.growOnMedium,
    growOnLarge = _ref.growOnLarge,
    growOnXlarge = _ref.growOnXlarge,
    order = _ref.order;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_styles.CellStyles, {
    css: {
      size: size && size,
      mediumSize: mediumSize && mediumSize,
      largeSize: largeSize && largeSize,
      xlargeSize: xlargeSize && xlargeSize,
      columns: columns && columns,
      columnsOnMedium: columnsOnMedium && columnsOnMedium,
      columnsOnLarge: columnsOnLarge && columnsOnLarge,
      columnsOnXlarge: columnsOnXlarge && columnsOnXlarge,
      order: order && order
    },
    fit: fit,
    fitOnMedium: fitOnMedium,
    fitOnLarge: fitOnLarge,
    fitOnXlarge: fitOnXlarge,
    fullHeight: fullHeight,
    fullHeightOnMedium: fullHeightOnMedium,
    fullHeightOnLarge: fullHeightOnLarge,
    fullHeightOnXlarge: fullHeightOnXlarge,
    microSpacing: microSpacing,
    smallSpacing: smallSpacing,
    largeSpacing: largeSpacing,
    noSpacing: noSpacing,
    verticalSpacing: verticalSpacing,
    microVerticalSpacing: microVerticalSpacing,
    smallVerticalSpacing: smallVerticalSpacing,
    largeVerticalSpacing: largeVerticalSpacing,
    auto: auto,
    autoOnMedium: autoOnMedium,
    autoOnLarge: autoOnLarge,
    autoOnXlarge: autoOnXlarge,
    relative: relative,
    shrink: shrink,
    shrinkOnMedium: shrinkOnMedium,
    shrinkOnLarge: shrinkOnLarge,
    shrinkOnXlarge: shrinkOnXlarge,
    grow: grow,
    growOnMedium: growOnMedium,
    growOnLarge: growOnLarge,
    growOnXlarge: growOnXlarge
  }, children));
};
exports.Cell = Cell;
Cell.propTypes = {
  /**
   * Conteúdo do componente Cell.
   */
  children: _propTypes["default"].any,
  /**
   * Define o tamanho do componente Cell.
   */
  size: _propTypes["default"].number,
  /**
   * Define o tamanho médio do componente Cell.
   */
  mediumSize: _propTypes["default"].number,
  /**
   * Define o tamanho grande do componente Cell.
   */
  largeSize: _propTypes["default"].number,
  /**
   * Define o tamanho extra grande do componente Cell.
   */
  xlargeSize: _propTypes["default"].number,
  /**
   * Define o número de colunas do componente Cell.
   */
  columns: _propTypes["default"].number,
  /**
   * Define o número de colunas no tamanho médio do componente Cell.
   */
  columnsOnMedium: _propTypes["default"].number,
  /**
   * Define o número de colunas no tamanho grande do componente Cell.
   */
  columnsOnLarge: _propTypes["default"].number,
  /**
   * Define o número de colunas no tamanho extra grande do componente Cell.
   */
  columnsOnXlarge: _propTypes["default"].number,
  /**
   * Determina se o componente Cell se ajusta ao conteúdo.
   */
  fit: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell se ajusta ao conteúdo no tamanho médio.
   */
  fitOnMedium: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell se ajusta ao conteúdo no tamanho grande.
   */
  fitOnLarge: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell se ajusta ao conteúdo no tamanho extra grande.
   */
  fitOnXlarge: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem altura total.
   */
  fullHeight: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem altura total no tamanho médio.
   */
  fullHeightOnMedium: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem altura total no tamanho grande.
   */
  fullHeightOnLarge: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem altura total no tamanho extra grande.
   */
  fullHeightOnXlarge: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem espaçamento mínimo.
   */
  microSpacing: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem espaçamento pequeno.
   */
  smallSpacing: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem espaçamento grande.
   */
  largeSpacing: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell não tem espaçamento.
   */
  noSpacing: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem espaçamento vertical.
   */
  verticalSpacing: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem espaçamento vertical mínimo.
   */
  microVerticalSpacing: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem espaçamento vertical pequeno.
   */
  smallVerticalSpacing: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell tem espaçamento vertical grande.
   */
  largeVerticalSpacing: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell se ajusta automaticamente ao tamanho.
   */
  auto: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell se ajusta automaticamente ao tamanho no tamanho médio.
   */
  autoOnMedium: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell se ajusta automaticamente ao tamanho no tamanho grande.
   */
  autoOnLarge: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell se ajusta automaticamente ao tamanho no tamanho extra grande.
   */
  autoOnXlarge: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell possui posicionamento relativo.
   */
  relative: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell possui redimensionamento encolhível.
   */
  shrink: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell possui redimensionamento encolhível no tamanho médio.
   */
  shrinkOnMedium: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell possui redimensionamento encolhível no tamanho grande.
   */
  shrinkOnLarge: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell possui redimensionamento encolhível no tamanho extra grande.
   */
  shrinkOnXlarge: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell possui redimensionamento expansível.
   */
  grow: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell possui redimensionamento expansível no tamanho médio.
   */
  growOnMedium: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell possui redimensionamento expansível no tamanho grande.
   */
  growOnLarge: _propTypes["default"].bool,
  /**
   * Determina se o componente Cell possui redimensionamento expansível no tamanho extra grande.
   */
  growOnXlarge: _propTypes["default"].bool,
  /**
   * Define a ordem de exibição do componente Cell.
   */
  order: _propTypes["default"].number,
  /**
   * Define a largura máxima do componente Cell.
   */
  maxWidth: _propTypes["default"].number,
  /**
   * Define a largura mínima do componente Cell.
   */
  minWidth: _propTypes["default"].number,
  /**
   * Determina se o componente Cell possui scroll.
   */
  scroll: _propTypes["default"].bool
};