"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Loader = void 0;
var _styles = require("./styles");
var _propTypes = _interopRequireDefault(require("prop-types"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var Loader = function Loader(_ref) {
  var small = _ref.small,
    large = _ref.large,
    secondary = _ref.secondary,
    primary = _ref.primary,
    mono = _ref.mono;
  return /*#__PURE__*/React.createElement(_styles.LoaderStyles, null, /*#__PURE__*/React.createElement(_styles.LoaderBall, {
    mono: mono,
    large: large,
    small: small,
    primary: primary,
    secondary: secondary
  }), /*#__PURE__*/React.createElement(_styles.LoaderBall, {
    second: true,
    mono: mono,
    small: small,
    large: large,
    primary: primary,
    secondary: secondary
  }), /*#__PURE__*/React.createElement(_styles.LoaderBall, {
    third: true,
    mono: mono,
    small: small,
    large: large,
    primary: primary,
    secondary: secondary
  }));
};
exports.Loader = Loader;
Loader.propTypes = {
  /**
   * Determina se o loader possui um tamanho pequeno.
   */
  small: _propTypes["default"].bool,
  /**
   * Determina se o loader possui um tamanho grande.
   */
  large: _propTypes["default"].bool,
  /**
   * Determina se o loader possui um esquema de cores secundário.
   */
  secondary: _propTypes["default"].bool,
  /**
   * Determina se o loader possui um esquema de cores primário.
   */
  primary: _propTypes["default"].bool,
  /**
   * Determina se o loader possui um esquema de cores monocromático.
   */
  mono: _propTypes["default"].bool
};