"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Shimmer = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _theme = require("../../theme/theme");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var ShimmerContainer = (0, _theme.styled)("span", {
  backgroundColor: "$blueGray",
  display: "inline-block",
  position: "relative",
  animationDirection: "alternate",
  animationDuration: "1s",
  animationFillMode: "forwards",
  animationIterationCount: "infinite",
  animationName: {
    "0%": {
      backgroundColor: "#e6e9f0"
    },
    "50%": {
      backgroundColor: "#EEF0F4"
    },
    "100%": {
      backgroundColor: "#e6e9f0"
    }
  },
  animationTimingFunction: "ease-in-out"
});
var Shimmer = function Shimmer(_ref) {
  var height = _ref.height,
    width = _ref.width;
  return /*#__PURE__*/React.createElement(ShimmerContainer, {
    "aria-busy": "true",
    style: {
      height: height,
      width: width
    }
  });
};
exports.Shimmer = Shimmer;
Shimmer.propTypes = {
  /**
   * Define a altura do componente Shimmer.
   */
  height: _propTypes["default"].string,
  /**
   * Define a largura do componente Shimmer.
   */
  width: _propTypes["default"].string,
  /**
   * Determina se o componente Shimmer ocupa toda a largura disponível.
   */
  block: _propTypes["default"].bool
};